package com.mx.cneeds.server.device.service.impl;

import com.mx.cneeds.common.pager.PageUtils;
import com.mx.cneeds.common.pager.Query;
import com.mx.cneeds.server.dao.DeviceLogDao;
import com.mx.cneeds.server.device.service.DeviceLogService;
import com.mx.cneeds.server.entity.DeviceLogEntity;
import org.springframework.stereotype.Service;
import java.util.Map;
import com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;


@Service("deviceLogService")
public class DeviceLogServiceImpl extends ServiceImpl<DeviceLogDao, DeviceLogEntity> implements DeviceLogService {

    @Override
    public PageUtils queryPage(Map<String, Object> params) {
        IPage<DeviceLogEntity> page = this.page(
                new Query<DeviceLogEntity>().getPage(params),
                new QueryWrapper<DeviceLogEntity>()
        );

        return new PageUtils(page);
    }

}
